package intrinsic.mx.rpc.soap;

public class SOAPDecoder extends intrinsic.mx.rpc.xml.XMLDecoder implements intrinsic.mx.rpc.soap.ISOAPDecoder {

	/** Accessors */
	public boolean ignoreWhitespace;
	public intrinsic.mx.rpc.wsdl.WSDLOperation wsdlOperation;
	public String resultFormat;
	public intrinsic.mx.rpc.xml.SchemaConstants schemaConstants;
	public intrinsic.mx.rpc.soap.SOAPConstants soapConstants;

	/** Variables */
	public boolean supportGenericCompoundTypes;

	/** Constants */

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.RegExp PI_WHITESPACE_PATTERN;

/** Contructors */
public SOAPDecoder() {
}


/** Static Methods */

/** Methods */
public native intrinsic.mx.rpc.soap.SOAPResult decodeResponse(Object arg0);
public native void decodeType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native void decodeComplexRestriction(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeComplexType(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeComplexType(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);

}
